using Elwig.Models.Dtos;
using System.Collections.Generic;

namespace Elwig.Documents {
    public class MemberList : Document {

        public new static string Name => "Mitgliederliste";

        public string Filter;
        public IEnumerable<MemberListRow> Members;

        public MemberList(string filter, IEnumerable<MemberListRow> members) : base(Name) {
            Filter = filter;
            Members = members;
        }

        public MemberList(string filter, MemberListData data) :
            this(filter, data.Rows) {
        }
    }
}
